%define fname		jde
%define name		emacs-%{fname}
%define version		2.3.3
%define release		1mdk
%define elibdir		%{_datadir}/emacs/site-lisp/elib
%define eieiodir	%{_datadir}/emacs/site-lisp/eieio
%define speedbardir	%{_datadir}/emacs/site-lisp/speedbar
%define semanticdir	%{_datadir}/emacs/site-lisp/semantic
%define jdedir		%{_datadir}/emacs/site-lisp/jde

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	The Java Development Environment for Emacs (JDEE)
Requires:	emacs >= 0:20.7
License:	GPL
URL:		http://jdee.sunsite.dk/
Source:		http://jdee.sunsite.dk/jde-latest.tar.bz2
Group:		Editors
Obsoletes:	jde
Provides:	jde = %epoch:%version-%release
Buildroot:	%_tmppath/%{name}-root
BuildArch:	noarch
Requires:	elib eieio speedbar semantic
BuildRequires:	emacs-bin elib eieio speedbar semantic

%description
The Java Development Environment for Emacs (JDEE) is an Emacs Lisp
package that interfaces Emacs to third-party Java application
development tools, such as those provided by JavaSoft's Java Development
Kit (JDK). The result is an integrated development environment (IDE)
comparable in power to many commercial Java IDEs.

%prep
%setup -q -n %fname-%version
find . -type f -name '*.jar' -exec %__rm -f {} \;
find . -type f -name '.nosearch' -exec %__rm -f {} \;

%build
(cd lisp && %make \
	EIEIO=%{eieiodir} \
	ELIB=%{elibdir} \
	SEMANTIC=%{semanticdir} \
	SPEEDBAR=%{speedbardir})


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_usr/share/emacs/site-lisp/%{fname}
install -d $RPM_BUILD_ROOT%{jdedir}

cp -pr doc $RPM_BUILD_ROOT%{jdedir}
cp -pr java $RPM_BUILD_ROOT%{jdedir}
install -d $RPM_BUILD_ROOT%{jdedir}/lisp
install -m 644 lisp/*.el lisp/*.elc $RPM_BUILD_ROOT%{jdedir}/lisp
mv lisp/ChangeLog lisp/ReleaseNotes.txt .

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{fname}.el
(add-to-list 'load-path (expand-file-name "%{jdedir}/lisp"))
(add-to-list 'load-path (expand-file-name "%{semanticdir}"))
(add-to-list 'load-path (expand-file-name "%{speedbardir}"))
(add-to-list 'load-path (expand-file-name "%{elibdir}"))
(add-to-list 'load-path (expand-file-name "%{eieiodir}"))
(require 'jde)
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%config(noreplace) %_sysconfdir/emacs/site-start.d/%{fname}.el
%doc ChangeLog ReleaseNotes.txt
%{jdedir}

%changelog
* Sat Mar 27 2004 David Walluck <walluck@mandrake.org> 0:2.3.3-1mdk
- 2.3.3
- remove binary jars

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.3.2-2mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Sun Mar 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.3.2-1mdk
- contributed by David Walluck <david@anti-microsoft.org>
